<!DOCTYPE html>
<html lang="en"
      xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layouts/main_layout}">
<head>
    <meta charset="UTF-8">
    <title>Cart</title>
</head>
<body>
<div layout:fragment="content" class="container">
    <table class="table table-striped">
        <thead>
        <th></th>
        <th>Product</th>
        <th>Price</th>
        <th>Amount</th>
        <th style="width: 150px;"></th>
        </thead>
        <tbody>
        <tr th:each="item, stat : ${cartItems}">
            <td th:text="${stat.count}">index</td>
            <td th:text="${item.product.name}">product name</td>
            <td th:text="${item.product.price}">99 $</td>
            <td th:text="${item.quantity}">1</td>
            <td>
                <div class="btn-group" role="group">
                    <a href="#" th:href="@{/cart/decrease(productid=${item.product.id})}"
                       class="btn btn-sm btn-outline-primary">
                        <i class="fa fa-minus"></i>
                    </a>
                    <a href="#" th:href="@{/cart/increase(productid=${item.product.id})}"
                       class="btn btn-sm btn-outline-primary">
                        <i class="fa fa-plus"></i>
                    </a>
                </div>
                <form method="post" th:action="@{/cart/remove}" class="d-inline">
                    <input type="hidden" name="productid" th:value="${item.product.id}">
                    <button type="submit" class="btn btn-sm btn-outline-danger">
                        <i class="fa fa-trash"></i>
                    </button>
                </form>
            </td>
        </tr>
        </tbody>
    </table>
    <h2 th:text="${'Total: ' + total + '$'}" class="text-right">Total: 99$</h2>
    <div class="d-flex justify-content-end" th:if="${cartItems.size() > 0}">
        <a th:href="@{/cart/order}"
           class="btn btn-success ml-auto">
            Make Order
        </a>
    </div>
</div>
</body>
</html>